# Complete a multipart upload
Source: https://docs.file.ai/api-reference/uploads/complete-a-multipart-upload

> Complete a multipart upload after all parts have been uploaded to S3.

post /prod/v1/files/upload/multipart/complete

Complete a multipart upload after all parts have been uploaded to S3.

After uploading all parts using the presigned URLs from the initiate endpoint,
call this endpoint with the ID, key, and all part ETags to finalize the upload.

The input should contain:
- `id`: the ID from the multipart upload initiation (previously called uploadId)
- `key`: the S3 key from the multipart upload initiation
- `parts`: array of objects with partNumber and eTag for each uploaded part
